export declare type PrefixFunction = () => string;
export declare enum Verbosity {
    ERROR = 0,
    WARN = 1,
    INFO = 2,
    DEBUG = 3,
    TRACE = 4
}
declare class Logger {
    #private;
    setPrefix: (func: PrefixFunction) => void;
    setVerbosity: (verbosityLevel: Verbosity) => void;
    error: (...args: any[]) => void;
    warn: (...args: any[]) => void;
    info: (...args: any[]) => void;
    debug: (...args: any[]) => void;
    trace: (...args: any[]) => void;
}
export default Logger;
